Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163152 - Initiator does not retry login on target error when PortalFailover is disabled
Summary: Initiator does not retry login on target error when PortalFailover is disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike Christie
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-07-13 15:12 UTC by Smitha Narayanaswamy
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:28:14 UTC


Attachments (Terms of Use)
The fix for the bug. (deleted)
2005-07-13 15:12 UTC, Smitha Narayanaswamy
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Smitha Narayanaswamy 2005-07-13 15:12:15 UTC
Description of problem:
When the fc cable is pulled out, the initiator sees a target error.
When PortalFailover is enabled, login is retried on the next path (If 
there is a single path, the next path resolves to same path). But if 
it is specifically disabled, it is not retried.

Version-Release number of selected component (if applicable):
3.6

How reproducible:
always

Steps to Reproduce:
1. In /etc/iscsi.conf disable portal failover with PortalFailover=no
2. Connect a host to a target
3. Take the FC target port offline for a while

Actual results:
Initiator does not retry login

Expected results:
Initiator should retry login

Additional info:

Comment 1 Smitha Narayanaswamy 2005-07-13 15:12:15 UTC
Created attachment 116712 [details]
The fix for the bug.

Comment 2 Mike Christie 2005-07-13 16:53:12 UTC
is this a similar fix to what I sent to the list already?
"[linux-iscsi-devel] [PATCH 3.6 branch] retry target on target error"

Try these rpms http://people.redhat.com/mchristi/iscsi/RHEL3/U5/

Comment 3 Smitha Narayanaswamy 2005-07-15 14:25:41 UTC
Yes. Found the patch.

*** This bug has been marked as a duplicate of 157075 ***

Comment 4 Ernie Petrides 2005-07-15 18:14:21 UTC
A fix for this problem was committed to the RHEL3 U6 patch pool
on 13-Jul-2005 (in kernel version 2.4.21-32.11.EL).


Comment 6 Ernie Petrides 2005-07-22 00:45:49 UTC

*** This bug has been marked as a duplicate of 157075 ***

Comment 7 Red Hat Bugzilla 2005-09-28 15:28:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.